Intervento manuale richiesto per l'aggiornamento del pacchetto ca-certificates-utils versione 20170307

manual-intervention

(Luca Giambonini) #1

Ciao a tutti,

l’aggiornamento di ca-certificates-utils alla versione 20170307 richiede un’intervento manuale. Il link simbolico precedentemente generato dallo script post-install è ora fornito all’interno del pacchetto e deve essere rimosso manualmente.

mascot_konqi-app-utilities-SMALL
Cancellando il link simbolico non vi permetterà più di scaricare nuovi pacchetti, per cui seguite esattamente gli step elencati sotto.

  1. Tentare un’aggiornamento del sistema:

    $ sudo pacman -Syu
    

    Se il vostro mirror è sincronizzato durante l’aggiornamento comparirà questo errore (il vostro sarà in italiano, ma almeno questo rende l’idea):

    error: failed to commit transaction (conflicting files)
    ca-certificates-utils: /etc/ssl/certs/ca-certificates.crt exists in filesystem
    Errors occurred, no packages were upgraded.
    

    Se non ricevete questo errore saltate pure gli step successivi e continuate con l’aggiornamento normale.

  2. Rimuovere il file in conflitto:

    $ sudo rm /etc/ssl/certs/ca-certificates.crt
    
  3. Eseguire l’aggiornamento senza sincronizzare i database (senza l’opzione y):

    $ sudo pacman -Su
    

Dovrebbe essere sicuro rispondere ‘yes/si’ a tutte le domande di sostituzione dei pacchetti. In caso di dubbi, o incontrate un’altro problema correlato a questo update, per favore chiedete o riportatelo qui e saremo lieti di aiutare.

Da quando questo annuncio è pubblicato, i mirror impiegheranno circa 12-24 ore per sincronizzarsi prima di avere l’update disponibile. Controllate che il vostro mirror sia sincronizzato con quello principale guardando lo stato dei mirror sul nostro sito.


Manual intervention is needed for upgrading the ca-certificates-utils package to version 20170307
(system) #2

This topic was automatically closed 170 days after the last reply. New replies are no longer allowed.